# Uses of Enum Class
io.papermc.paper.entity.RelativeTeleportFlag

Packages that use RelativeTeleportFlag
Package
Description
io.papermc.paper.entity
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of RelativeTeleportFlag in io.papermc.paper.entity

Methods in io.papermc.paper.entity that return RelativeTeleportFlag
Modifier and Type
Method
Description
`static RelativeTeleportFlag`
RelativeTeleportFlag.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RelativeTeleportFlag[]`
RelativeTeleportFlag.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of RelativeTeleportFlag in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type RelativeTeleportFlag
Modifier and Type
Method
Description
`boolean`
Player.`teleport(@NotNull Location location, PlayerTeleportEvent.TeleportCause cause, boolean ignorePassengers, boolean dismount, @NotNull RelativeTeleportFlag @NotNull ... teleportFlags)`
Teleports this entity to the given location.

## Uses of RelativeTeleportFlag in org.bukkit.event.player

Methods in org.bukkit.event.player that return types with arguments of type RelativeTeleportFlag
Modifier and Type
Method
Description
`Set<@NotNull RelativeTeleportFlag>`
PlayerTeleportEvent.`getRelativeTeleportationFlags()`
Returns the relative teleportation flags used in this teleportation.
Constructor parameters in org.bukkit.event.player with type arguments of type RelativeTeleportFlag
Modifier
Constructor
Description
``
`PlayerTeleportEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to, @NotNull PlayerTeleportEvent.TeleportCause cause, boolean dismounted, Set<@NotNull RelativeTeleportFlag> teleportFlagSet)`